Bug 256071 - graphics/libepoxy: Update to 1.5.8
Summary: graphics/libepoxy: Update to 1.5.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL: https://github.com/anholt/libepoxy/re...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-22 07:20 UTC by Daniel Engberg
Modified: 2021-06-01 09:50 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Patch for libepoxy (1.52 KB, patch)
2021-05-28 23:09 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-05-22 07:20:17 UTC
Update libepoxy to 1.5.8
Update port per Porters Handbook guidelines
PORTVERSION --> DISTVERSION
Switch release archive/tarball instead of USE_GITHUB
Add TEST option

Compile tested on 13.0-STABLE #0 stable/13-n245227-5ec4eb443e8 (amd64) (make, make check-plist)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 1 Evgeniy Khramtsov 2021-05-28 22:46:03 UTC
Did you add an attachment? There is no proposed patch at the moment.
Comment 2 Daniel Engberg freebsd_committer 2021-05-28 23:09:28 UTC
Created attachment 225347 [details]
Patch for libepoxy

Adding the actual patch helps, sorry!
Comment 3 commit-hook freebsd_committer 2021-06-01 09:50:33 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=29e87cd021e8fb0ef77948bc5e049f1283e2a493

commit 29e87cd021e8fb0ef77948bc5e049f1283e2a493
Author:     Daniel Engberg <daniel.engberg.lists@pyret.net>
AuthorDate: 2021-06-01 08:25:35 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-06-01 09:49:48 +0000

    graphics/libepoxy: update to 1.5.8

    PR:             256071
    Approved by:    x11 (zeising)

 graphics/libepoxy/Makefile | 11 ++++++-----
 graphics/libepoxy/distinfo |  6 +++---
 2 files changed, 9 insertions(+), 8 deletions(-)
Comment 4 Tobias C. Berner freebsd_committer 2021-06-01 09:50:53 UTC
Committed, thanks for the patches :)